#RequireAdmin
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_Res_Fileversion=1.0.0.1
#AutoIt3Wrapper_Res_LegalCopyright=Manuel Kammermeier
#AutoIt3Wrapper_Res_Language=1031
#AutoIt3Wrapper_AU3Check_Stop_OnWarning=y
#AutoIt3Wrapper_Run_Tidy=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

If MsgBox(68, "Info:", "Dieses Programm stellt auf deutschsprachigen" & @CRLF & _
		"Vista-Betriebssystemen das Tastaturlayout fr" & @CRLF & _
		"16bit-Programme auf Deutsch um." & @CRLF & "Fortfahren?") = 7 Then Abbruch()

If @OSVersion <> "WIN_VISTA"  Then
	If MsgBox(52, "Warnung:", "Dieses Programm wurde ursprnglich fr das" & @CRLF & _
			"Betriebssystem 'Windows Vista' geschrieben. Dieses Betriebssystem" & @CRLF & _
			"meldet sich allerdings mit '" & @OSVersion & "'." & @CRLF & _
			"Trotzdem fortfahren?") = 7 Then Abbruch()
EndIf

FileWriteLine(@WindowsDir & "\system32\autoexec.nt", "LH KB16 GR,,%SystemRoot%\system32\keyboard.sys")
If @error Then
	MsgBox(16, "Fehler:", "Fehler beim Schreiben von " & @WindowsDir & _
			"\system32\autoexec.nt!" & @CRLF & "Programm wird abgebrochen!")
Else
	Run(@ComSpec & " /c " & "KB16 GR,,%SystemRoot%\system32\keyboard.sys", "", @SW_HIDE)
	MsgBox(64, "Info:", "nderung erfolgreich angewandt. Ab sofort werden alle" & @CRLF & _
			"16bit-Konsolenprogramme mit deutschem Tastaturlayout" & @CRLF & _
			"ausgefhrt." & @CRLF & "Hinweis: Es kann sein, dass Sie Windows neu starten" & @CRLF & _
			"mssen, damit die nderungen systemweit wirksam werden.")
EndIf

Exit

Func Abbruch()
	MsgBox(0, "Info:", "Programm wurde abgebrochen.")
	Exit
EndFunc   ;==>Abbruch